TeamCity 2019.1 Help

IntelliJ Platform Plugin Compatibility

IntelliJ IDEA version

IntelliJ Platform version

TeamCity versions

2018.2

2018.1

2017.2

2017.1*

10.0 *

9.1 *

9.0 *

8.1

8.0

7.1

7.0

2018.3

183

+++++

2018.2

182

+++++

2018.1

181

++++++

2017.3

173

++++++

2017.2

172

++++++

2017.1

171

+++++

2016.3

163

+++++

2016.2.3

162

+++++TW-46864

2016.2

162

++++++

No Info

2016.1

145

++++++

No Info

15.0

143

++++++9.0.5+TW-41314

14.1

141

++++8.1.5+

14.0

139

++++8.1.5+

13.1

135

+++++++

13.0

133

+++++++

12.1

129

+++++

12.0

123

+++++

11.1

117

++++++

11.0

111

++++

Notes:
* - Plugin from version 2017.2 could be used

More information about the IntelliJ Platform versions and IDE's (PhpStorm, RubyMine, and so on) versions.

Last modified: 11 June 2019